package business;

import business.Usuario;

public class PreencheUsuario {
	static public Usuario getUsuario1() {
		int id = -1;
		String userId = "userId1";
		String senha = "senha1";
		String perfil = "perfil1";
		int idPessoa = 1;

		return geraInstancia(id, userId, senha, perfil, idPessoa);
	}

	static public Usuario getUsuario2() {
		int id = -1;
		String userId = "userId2";
		String senha = "senha2";
		String perfil = "perfil2";
		int idPessoa = 2;

		return geraInstancia(id, userId, senha, perfil, idPessoa);
	}

	static public Usuario geraInstancia(int id, String userId, String senha,
			String perfil, int idPessoa) {
		Usuario usuario = new Usuario();
		usuario.setId(id);
		usuario.setIdPessoa(idPessoa);
		usuario.setPerfil(perfil);
		usuario.setSenha(senha);
		usuario.setUserId(userId);
		return usuario;
	}
}
